<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Universal API Bridge</title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    
    
    <h1>Universal API Bridge</h1>

<p>Universal API Bridge allows software developers to integrate their trading application via FIX API (FIX API Type: EASYFIX moderated Quick FIX protocol) with different popular trading platforms like NinjaTrader, which offer .NET API connection libraries.</p>


<img src="img/application-fixapi-bridhe-netapi-ninjatrader.png" alt="Application ->FIX API -> Bridge -> .NET API -> Ninja Trader">

<p>In the current version, only NinjaTrader integration is included.</p>

<img src="img/universal-api-bridge.png" alt="Universal API Bridge">
 
<p>Accounts to be connected are listed in the main program window. Some account characteristics, colored connection indicators, the “Monitor” button, and the “On start” connection check are shown in the table raw.</p>

<h2>Account settings</h2>

<p>Account characteristics have to be defined when the account is added or edited (press the “Add” or “Edit” buttons, respectively):</p>

<img src="img/edit-account-window.png" alt="Universal API Bridge Edit Window">
 
<p><b>The “Native account parameters”</b> section is dedicated to the trading platform connection parameters. The “Account name” is a mandatory field and must be unique through the accounts list. The program tries to connect the account if the “Connection” check is set. The “Connection” check is shown in the main window accounts table with the name “On start,” and it’s more convenient to manipulate it just in the accounts table. If “Connection” is set and saved, the account will be connected on the program start.</p>

<p><b>The “FIX connection parameters”</b> section sets the parameters of the FIX connection between the bridge and the 3d party application. Connection parameters traditionally define IP, port, Sender, and Target for Market data (prices) and Trading connections.</p>

<p><b>The “Submit”</b> button posts the window info to account parameters, while the “Save” button in the leading window stores accounts info permanently in the Windows registry.</p>

<h2>Connection and monitoring</h2>

<p>After the “On start” check is set, the program tries to connect the account to the trading platform. If it succeeds, connection indicators show “Account connected” on yellow background:</p>

<img src="img/account-connected-indicator.png" alt="Universal API Bridge Account connected">
  
<p>After the coupled 3-d party connects the bridge, connection indicators show “Connected” on green background:</p>

<img src="img/account-connected-green-indicator.png" alt="Universal API Bridge Account connected Green">
 
<p><b>Attention: only two green indicators confirm the bridge readiness.</b></p>

<p>Bridge protocols are the orders which pass to the trading platform during the bridge functioning session. The protocols can be visualized as Orders and Positions tables. Press the “Monitor” button and see:</p>

<img src="img/universal-api-bridge-main-window.png" alt="Universal API Bridge main window">
<h2>Contact information</h2>
<p>If you are a software developer and want to make the integration between your software and our Universal API Bridge, please get in touch with us via email: multiplatformbridge@proton.me</p>
<p>web: https://mpbridge.gitlab.io/multi-platform-bridge/</p>
<p></p>

    
  </body>
</html>

